PHP ��U
前一頁 |  | 下一頁

# kadm5_get_principals

(PECL)

kadm5_get_principals -- Gets all principals from the Kerberos database

## Description

array kadm5_get_principals ( resource handle )

kadm5_get_principals() returns an array containing the principals's names.

## Return Values

Returns array of principals on success, or `FALSE` on failure.

## �d��

範例 1. kadm5_get_principals() example

`<?php $handle = kadm5_init_with_password("afs-1", "GONICUS.LOCAL", "admin/admin", "password"); print "<h1>get_principals</h1>\n"; foreach (kadm5_get_principals($handle) as $principal) { echo "$principal<br />\n"; } kadm5_destroy($handle); ?>`

前一頁 | 內容 | 下一頁
kadm5_get_principal | 上一層 | kadm5_init_with_password